function jsToJavaDefault() {
    var data = '发送数据给java默认接收';
    window.WebViewJavascriptBridge.send(
     data
     , function(responseData) { //处理java回传的数据
      document.getElementById("show").innerHTML = responseData;
     }
    );

}
/**
 * 
 * @param {object} data 入参'{“action”:”encrypt”,”msg”:””} ';
 * @param {object} obj 回调对象
 */
function androidJsSdk(data,obj){

    if(typeof data != 'object') return

    var info = JSON.stringify(data)
    window.WebViewJavascriptBridge.send(
        info
        , function(responseData) { //处理java回传的数据
            if(responseData){
                var json = {}
                try {
                    json = JSON.parse(responseData)
                } catch (error) {
                    alert(error+'java回调数据格式异常')
                }
                if(json.code == 1){
                    obj.success(json.data || {})
                }else{
                    obj.fail(json)
                }
            }
        }
    );
    
}

//注册事件监听，初始化
function setupWebViewJavascriptBridge(callback) {
    if (window.WebViewJavascriptBridge) {
     callback(WebViewJavascriptBridge)
    } else {
     document.addEventListener(
      'WebViewJavascriptBridgeReady'
      , function() {
       callback(WebViewJavascriptBridge)
      },
      false
     );
    }
}
 
//回调函数，接收java发送来的数据
setupWebViewJavascriptBridge(function(bridge) {
    //默认接收
    bridge.init(function(message, responseCallback) {
        var responseData = 'js默认接收完毕，并回传数据给java';
        responseCallback(responseData); //回传数据给java
    });

    //指定接收，参数functionInJs 与java保持一致
    bridge.registerHandler("functionInJs", function(data, responseCallback) {
        var responseData = 'js指定接收完毕，并回传数据给java';
        responseCallback(responseData); //回传数据给java
    });
})